# $Revision: 1.52 $, $Date: 2006/02/28 12:53:09 $
Summary:	ICQ Text Based Client
Summary(pl):	Tekstowy klient ICQ
Summary(ru):	micq -   icq
Name:		micq
Version:	0.5.0.4
Release:	2
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.micq.org/source/%{name}-%{version}.tgz
# Source0-md5:	142f80100955018046745ada09859b2d
URL:		http://www.micq.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Micq is an ICQ client for text mode unix that is not in any way supported
by Mirabilis.  This was done for two reasons :  author wanted to see if he
could and Mirabilis has been slow ( at best ) in releasing a unix port.

%description -l pl
Micq jest tekstowym klientem ICQ, ktry nie jest w aden sposb supportowany
przez Mirabilis. Zosta stworzony z dwch powodw: autor chcia zobaczy
czy potrafi oraz Mirabilis powoli wypuszczao port linuksowy.

%description -l ru
Micq - ICQ ,    ,   
  Mirabilis.

%prep
%setup -q
sed -i 's/AM_PATH_LIBGNUTLS/#AM_PATH_LIBGNUTLS/'  configure.ac

%build
rm -f missing
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-tcl \
	--enable-ssl=openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS TODO ChangeLog doc/icq*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(it) %{_mandir}/it/man?/*
%lang(ru) %{_mandir}/ru/man?/*
%lang(sr) %{_mandir}/sr/man?/*
%lang(sk) %{_mandir}/sk/man?/*
%lang(uk) %{_mandir}/uk/man?/*
%dir %{_datadir}/micq
%{_datadir}/micq/en.i18n
%{_datadir}/micq/C.i18n
%lang(pt_BR) %{_mandir}/pt_BR/man?/*
%lang(bg) %{_datadir}/micq/bg.i18n
%lang(zh_CN) %{_datadir}/micq/zh_CN.i18n
%lang(de) %{_datadir}/micq/de.i18n
%lang(de) %{_datadir}/micq/de_CH.i18n
%lang(ja) %{_datadir}/micq/ja.i18n
%lang(ro) %{_datadir}/micq/ro.i18n
%lang(sr) %{_datadir}/micq/sr.i18n
%lang(es) %{_datadir}/micq/es.i18n
%lang(fi) %{_datadir}/micq/fi.i18n
%lang(fr) %{_datadir}/micq/fr.i18n
%lang(hr) %{_datadir}/micq/hr.i18n
%lang(id) %{_datadir}/micq/id.i18n
%lang(it) %{_datadir}/micq/it.i18n
%lang(nl) %{_datadir}/micq/nl.i18n
%lang(pl) %{_datadir}/micq/pl.i18n
%lang(pt) %{_datadir}/micq/pt.i18n
%lang(ru) %{_datadir}/micq/ru.i18n
%lang(sv) %{_datadir}/micq/se.i18n
%lang(sv) %{_datadir}/micq/sk.i18n
%lang(uk) %{_datadir}/micq/uk.i18n
%lang(sr) %{_datadir}/micq/yu.i18n

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: micq.spec,v $
Revision 1.52  2006/02/28 12:53:09  glen
- dragons

Revision 1.51  2006/02/28 12:52:25  glen
- missing dir; rel 2

Revision 1.50  2005/08/13 20:21:08  areq
- 0.5.0.4
- enable ssl

Revision 1.49  2004/12/14 08:32:10  adamg
- updated to 0.4.12

Revision 1.48  2004/10/08 18:27:56  darekr
- add BR: sed >= 4.0
- add AUTHORS to %doc

Revision 1.47  2004/07/02 15:06:56  areq
- disable-tcl

Revision 1.46  2004/05/07 19:23:23  areq
- no libgnutls check

Revision 1.45  2004/01/17 08:52:38  undefine
- update to 0.4.11, remove applied patch

Revision 1.44  2003/10/03 21:34:34  adamg
- trying to fix manpages issue

Revision 1.43  2003/10/03 20:35:24  adamg
- added missing it manpage

Revision 1.42  2003/10/03 20:32:26  adamg
- updated to 0.4.10.4
- added nolibgnutls.patch (did I do it correctly?)
- some %lang mandir updates

Revision 1.41  2003/08/31 22:12:54  ankry
- kill Serbo-Croatian

Revision 1.40  2003/08/31 11:26:52  ankry
- %lang fixes

Revision 1.39  2003/06/16 19:46:20  blues
- changes inpired by kloczek: URL upper-case
- small other changes and cleanups

Revision 1.38  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 05:50:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/05/14 00:12:30  misiek
- updated to .3

Revision 1.35  2003/04/24 22:31:57  misi3k
- security update to 0.4.10.2
  BUG(bugtraq):
  mICQ versions 0.4.9 and earlier allow remote
  attackers to cause a denial of service (crash)
  using malformed ICQ message types without a 0xFE
  separator character.

Revision 1.34  2003/02/19 13:18:53  areq
- remove double de.i18n

Revision 1.33  2003/01/28 19:05:22  misiek
- updated to 0.4.10.1

Revision 1.32  2002/11/08 17:26:50  undefine
- updated to 0.4.9.4, stbr

Revision 1.31  2002/08/31 17:43:08  undefine
- updated to 0.4.9.3.1
- more manpages, and changed pseudo-locale filename

Revision 1.30  2002/08/24 11:01:34  kloczek
- License: GPL v2.

Revision 1.29  2002/08/24 09:41:38  kloczek
- License changed to GPL v2,
- minor changes and cosmetics.

Revision 1.28  2002/08/23 23:38:41  undefine
- add automake/autoconf to buildrequires

Revision 1.27  2002/08/23 22:07:16  undefine
- updated to 0.4.9.2b
- add ru/de manuals
- small cleanup

Revision 1.26  2002/06/15 19:02:13  undefine
- merged translations from KSI
- license(GPL)
- url and source

Revision 1.25  2002/06/15 17:06:09  undefine
- update to 0.4.9(i think it works more stable than 0.4.7)
- stbr

Revision 1.24  2002/06/15 09:52:06  ankry
- fixed %lang
- release 2

Revision 1.23  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/08/09 14:26:25  undefine
- updated to 0.4.7
- removed obsolete micq-DESTDIR.patch
- micq support now configure :)

Revision 1.19  2001/06/12 08:15:04  undefine
- updated to 4.6.1-p4
- i18n support
- make install
- changed license
- revision 3

Revision 1.18  2001/02/26 11:49:39  undefine
- updated to 0.4.6.p1 - important security patch
- changed url
- removed micq-about_cmd.patch (unneeded)
- release 2

Revision 1.17  2000/12/06 02:38:52  agaran
- Just passed trough adapter

Revision 1.16  2000/10/26 09:47:27  kloczek
- added gzippng %doc,
- make %{debug} ready and adapterized.

Revision 1.15  2000/10/25 21:06:17  misiek
- updated to 0.4.6; someone need to fix etc_hoem patch

Revision 1.14  2000/07/06 17:41:03  mis
- revert change to wrong group

Revision 1.13  2000/07/06 17:36:03  mis
- typo

Revision 1.12  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.11  2000/05/28 10:05:36  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 15:38:33  mis
- typo

Revision 1.9  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  2000/01/21 00:31:26  kloczek
- release 2,
- added stripping micq binaries.

Revision 1.6  1999/12/01 15:04:51  zagrodzki
- added home_data.patch

Revision 1.5  1999/11/28 19:18:28  zagrodzki

- etc.patch -> home_etc.patch
- fixed bad default micqrc file

Revision 1.4  1999/11/27 18:24:45  zagrodzki

- micq-bufferoverflow.patch now included in micq-etc.patch

Revision 1.2  1999/10/01 20:13:10  kloczek
- added full Source url.

Revision 1.1  1999/09/30 08:06:12  waszi
- initial release
